Package com.smartgwt.client.types

# Enum ShowDataValuesMode

java.lang.Object
java.lang.Enum<ShowDataValuesMode>
com.smartgwt.client.types.ShowDataValuesMode

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<ShowDataValuesMode>`, `Constable`

public enum ShowDataValuesMode extends Enum<ShowDataValuesMode> implements ValueEnum
Strategy for determining whether and when to show `formatted text labels` for data-values. There are two basic mechanisms:

- inChart - data-values are displayed in the chart-body close to their data-points - not all `chart-types` support showing data-values in the chart-body, and none will show them all if data-density is such that the labels would overlap or extend beyond their available area
- inHover - as the mouse moves over the chart body, the data-value for the `nearest data-point` is displayed in a `label` floating near the shape it represents. When showing values in hovers, the visual element representing the data value is also emphasized by brightening or highlighting it (appearance differs by chart type).

Support for showing data-values differs by `chart-type`; for example, `Stacked charts` cannot show data-values in the chart body; column charts can, and they can also `rotate values` to fit if necessary; pie charts, can show just the data-values that fit inside their segments in the chart-body; all types can show data-values in hovers.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTO`
  show data-values in the chart, when the chartType supports it and when they fit without overlapping (including after `rotation`), and in hovers otherwise
  `INCHARTANDHOVER`
  show data-values that fit in the chart body and also switch on hovers
  `INCHARTONLY`
  show data-values in the chart body, but only if they all fit - no hovers
  `INCHARTORHOVER`
  show data-values in the chart body and, if any don't fit, switch to hovers
  `INHOVERONLY`
  always show data-values in hovers
  `NEVER`
  never show data-values at all

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static ShowDataValuesMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ShowDataValuesMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NEVER

    public static final ShowDataValuesMode NEVER
    never show data-values at all

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "never".

  - ### AUTO

    public static final ShowDataValuesMode AUTO
    show data-values in the chart, when the chartType supports it and when they fit without overlapping (including after `rotation`), and in hovers otherwise

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "auto".

  - ### INCHARTONLY

    public static final ShowDataValuesMode INCHARTONLY
    show data-values in the chart body, but only if they all fit - no hovers

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "inChartOnly".

  - ### INCHARTORHOVER

    public static final ShowDataValuesMode INCHARTORHOVER
    show data-values in the chart body and, if any don't fit, switch to hovers

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "inChartOrHover".

  - ### INCHARTANDHOVER

    public static final ShowDataValuesMode INCHARTANDHOVER
    show data-values that fit in the chart body and also switch on hovers

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "inChartAndHover".

  - ### INHOVERONLY

    public static final ShowDataValuesMode INHOVERONLY
    always show data-values in hovers

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "inHoverOnly".

- ## Method Details

  - ### values

    public static ShowDataValuesMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ShowDataValuesMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`